com.pixelmed.transfermonitor

## Class TransferMonitoringContext

- java.lang.Object
- - com.pixelmed.transfermonitor.TransferMonitoringContext

    public class TransferMonitoringContext
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TransferMonitoringContext(java.lang.String description)`

### Method Summary

Methods
`void` `close()` Close the monitoring context since no more transfers are expected.
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`boolean` `isClosed()`
`void` `setDescription(java.lang.String description)` Update the description, such as when we have received more information like the name of the sender.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransferMonitoringContext

    public TransferMonitoringContext(java.lang.String description)

### Method Detail

#### setDescription

    public void setDescription(java.lang.String description)

Update the description, such as when we have received more information like the name of the sender.

Parameters:
  `description` - new description

#### close

    public void close()

Close the monitoring context since no more transfers are expected.

#### isClosed

    public boolean isClosed()

Returns:
  true if monitoring context has been closed and no more transfers are expected

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` -

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  hash code of context

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  description of context